version: "2"

linters:
  default: all
  disable:
    - depguard
    - wsl_v5 # tmp
    - wsl # tmp
    - unused # tmp
    - nonamedreturns
    - err113 # tmp
    - gochecknoinits # tmp
    - nlreturn # tmp
    - cyclop # tmp
    - gocognit # tmp
    - varnamelen # tmp
    - funlen # tmp
    - lll
    - mnd # tmp
    - revive # tmp
    - godox # tmp
    - nestif # tmp

linters-settings:
  revive:
    rules:
      - name: error-strings
        disabled: true

issues:
  max-issues-per-linter: 0
  max-same-issues: 0
